| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
semaphore.hpp File Reference
Private

definition of class semaphore, used to manage invocation of backup hook for files More...

`#include "../my_config.h"`
`#include "mem_ui.hpp"`
`#include "mask.hpp"`
`#include "catalogue.hpp"`
`#include "on_pool.hpp"`

Go to the source code of this file.

## Classes
class | libdar::semaphore
| class semaphore More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

definition of class semaphore, used to manage invocation of backup hook for files

Definition in file semaphore.hpp.